상세 컨텐츠

본문 제목

[tomcat] Can't load AMD 64-bit .dll on a IA 32-bit platform 오류

헉!!/jsp / java

by 권태성 2013. 8. 9. 16:00

본문



tcnative-1.dll: Can't load AMD 64-bit .dll on a IA 32-bit platform


톰캣 버전을 올렸더니 위와 같은 에러메시지를 만나게 되었습니다.

대충 숫자 나오고 bit라고 나오고 하는거만 봐도 해당 dll 파일의 bit에 따른 오류입니다.


일단 OS 환경 (32bit / 64bit)에 따라 아래의 링크에서 버전별로 바이너리 zip 파일을 받으시고 압축을 풀면 tcnative-1.dll 파일이 있습니다.

 http://archive.apache.org/dist/tomcat/tomcat-connectors/native/


그리고 압축풀은 tcnative-1.dll 파일을 자바 설치경로/jre6/bin 에 넣어줍니다.


위 과정을 다 마친후에 톰캣을 실행했을때

An incompatible version 1.1.20 of the APR based Apache Tomcat Native library is installed, while Tomcat requires version 1.1.24

이런 메시지가 나타난다면 다운받았던 파일의 버전이 톰캣의 버전과 맞지 않아서 생기는 오류입니다.

이 경우에는 이 링크에서 위 메시지에서 나타나는 버전의 파일을 받으시면 됩니다.




태그

관련글 더보기

댓글 영역